CREATE SEQUENCE TFIZMOD_FAZONOSITO_SEQ;

DROP TABLE TFIZMOD;

CREATE TABLE TFIZMOD
(
  FAZONOSITO INTEGER NOT NULL DEFAULT NEXTVAL('TFIZMOD_FAZONOSITO_SEQ'),
  FNEV VARCHAR(70) NOT NULL,
  FFIZHAT INTEGER,
  FSZLAFORMAT INTEGER,
  FIDO TIMESTAMP,
  FUSER VARCHAR(70),
  CONSTRAINT FIZMOD_NEV UNIQUE (FNEV),
  CONSTRAINT TFIZMOD_FAZONOSITO PRIMARY KEY(FAZONOSITO)
);


ALTER TABLE TBIZONYLATFEJ ADD COLUMN FVEVOAZONOSITO INTEGER;

ALTER TABLE TBIZONYLATTETEL ADD COLUMN FAFAAZON INTEGER;
ALTER TABLE TBIZONYLATTETEL ADD COLUMN FAFANEV VARCHAR(30);


ALTER TABLE TPARTNEREK ADD COLUMN FVEZETEKNEV VARCHAR(50);
ALTER TABLE TPARTNEREK ADD COLUMN FKERESZTNEV VARCHAR(50);
ALTER TABLE TPARTNEREK ADD COLUMN FSZULDATUM DATE;
ALTER TABLE TPARTNEREK ADD COLUMN FNEM CHAR(1);

CREATE SEQUENCE TPARTNERAUTO_FAZONOSITO_SEQ;
CREATE TABLE TPARTNERAUTO (
  FAZONOSITO INTEGER NOT NULL DEFAULT NEXTVAL('TPARTNERAUTO_FAZONOSITO_SEQ'),
  FPARTNER    INTEGER NOT NULL,
  FRENDSZAM   VARCHAR(70),
  FGYARTASIEV INTEGER,
  FGYARTMANY VARCHAR(70),
  FTIPUS VARCHAR(70),
  FALVAZSZAM VARCHAR(70),
  FMOTORSZAM VARCHAR(70),
  FVASARLASMOD INTEGER,
  FVASARLASEVE INTEGER,
CONSTRAINT PARTNERAUTO_AZONOSITO PRIMARY KEY (FAZONOSITO),
CONSTRAINT PARTNERAUTO_RENDSZAM UNIQUE (FRENDSZAM)
);

ALTER TABLE TRIPORTOK ADD CONSTRAINT RIPORTOK_AZONOSITO PRIMARY KEY (FAZONOSITO);
